CREATE TABLE hwm_rule_tmplts (
    RULE_TMPLTS_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    PROCESS_TYPE              VARCHAR2(120)     NOT NULL,
    PRS_FORMULA_ID            NUMBER(18, 0) ,
    PRS_SCRIPT_ID             NUMBER(18, 0) ,
    PROCESS_NAME              VARCHAR2(320) ,
    TEMPLATE_TYPE             VARCHAR2(120)     NOT NULL,
    TEMPLATE_NAME             VARCHAR2(320)     NOT NULL,
    CLASSIFICATION            VARCHAR2(120) ,
    RUN_SUMMATION_LEVEL       VARCHAR2(120)     NOT NULL,
    RUN_TBB_LEVEL             VARCHAR2(120)     NOT NULL,
    RULE_EXEC_TYPE            VARCHAR2(120) ,
    RUN_EVENT_SAVE            VARCHAR2(4)   ,
    RUN_EVENT_SUB             VARCHAR2(4)   ,
    RUN_EVENT_RESUB           VARCHAR2(4)   ,
    RUN_EVENT_DELETE          VARCHAR2(4)   ,
    SUPPRESS_DUP_MSGS         VARCHAR2(4)   ,
    INCLUDE_EMPTY_TC          VARCHAR2(120) ,
    SEEDED_FLAG               VARCHAR2(4)   ,
    RULE_SUB_TYPE             VARCHAR2(120) ,
    FAST_FORMULA_EXEC_TYPE    VARCHAR2(120) ,
    DFLT_ALLOCATION_ID        NUMBER(18, 0) ,
    JAVA_CLASS                VARCHAR2(2000),
    JAVA_METHOD               VARCHAR2(400) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    MODULE_ID                 VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    RULE_TMPLTS_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    PROCESS_TYPE              VARCHAR2(120)     NOT NULL,
    PRS_FORMULA_ID            NUMBER(18, 0) ,
    PRS_SCRIPT_ID             NUMBER(18, 0) ,
    PROCESS_NAME              VARCHAR2(320) ,
    TEMPLATE_TYPE             VARCHAR2(120)     NOT NULL,
    TEMPLATE_NAME             VARCHAR2(320)     NOT NULL,
    CLASSIFICATION            VARCHAR2(120) ,
    RUN_SUMMATION_LEVEL       VARCHAR2(120)     NOT NULL,
    RUN_TBB_LEVEL             VARCHAR2(120)     NOT NULL,
    RULE_EXEC_TYPE            VARCHAR2(120) ,
    RUN_EVENT_SAVE            VARCHAR2(4)   ,
    RUN_EVENT_SUB             VARCHAR2(4)   ,
    RUN_EVENT_RESUB           VARCHAR2(4)   ,
    RUN_EVENT_DELETE          VARCHAR2(4)   ,
    SUPPRESS_DUP_MSGS         VARCHAR2(4)   ,
    INCLUDE_EMPTY_TC          VARCHAR2(120) ,
    SEEDED_FLAG               VARCHAR2(4)   ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    MODULE_ID                 VARCHAR2(128) ,
    RULE_SUB_TYPE             VARCHAR2(120) ,
    FAST_FORMULA_EXEC_TYPE    VARCHAR2(120) ,
    DFLT_ALLOCATION_ID        NUMBER(18, 0) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    JAVA_CLASS                VARCHAR2(2000),
    JAVA_METHOD               VARCHAR2(400) ,
    CONSTRAINT pk_hwm_rule_tmplts PRIMARY KEY (RULE_TMPLTS_ID, RULE_TMPLTS_ID)
);
